openssl image build problems

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

openssl image build problems

roystonvasey
Dear List,
I've just done a git pull and now all my image builds fail during rootfs because of dependencies on libcrypto1.
I've found that the last pull modified org.openembedded.dev/conf/distro/include/angstrom-2008-preferred-versions.inc and regressed openssl: -
-PREFERRED_VERSION_openssl = "1.0.0d"
-PREFERRED_VERSION_openssl-native = "1.0.0d"
+#PREFERRED_VERSION_openssl = "1.0.0d"
+#PREFERRED_VERSION_openssl-native = "1.0.0d"
+PREFERRED_VERSION_openssl = "0.9.8m"
+PREFERRED_VERSION_openssl-native = "0.9.8m"

However task-base-extended, PPP, SSH and most of the other packages requiring cryptography support require libcrypto1.0.0 (>= 1.0.0d).

Anyone any idea why the change was made and whether it is safe to go back to version 1?

Cheers Mike.
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

Neil MacMunn
Hi Mike,

On Thu, Dec 8, 2011 at 11:55 AM, roystonvasey <[hidden email]> wrote:

> Dear List,
> I've just done a git pull and now all my image builds fail during rootfs
> because of dependencies on libcrypto1.
> I've found that the last pull modified
> org.openembedded.dev/conf/distro/include/angstrom-2008-preferred-versions.inc
> and regressed openssl: -
> -PREFERRED_VERSION_openssl = "1.0.0d"
> -PREFERRED_VERSION_openssl-native = "1.0.0d"
> +#PREFERRED_VERSION_openssl = "1.0.0d"
> +#PREFERRED_VERSION_openssl-native = "1.0.0d"
> +PREFERRED_VERSION_openssl = "0.9.8m"
> +PREFERRED_VERSION_openssl-native = "0.9.8m"
>
> However task-base-extended, PPP, SSH and most of the other packages
> requiring cryptography support require libcrypto1.0.0 (>= 1.0.0d).
>
> Anyone any idea why the change was made and whether it is safe to go back to
> version 1?

That change was made to fix a build problem for Ubuntu 11.10 users. I
eventually ran into the same problem as you and am back to 1.0.0d.

-
Neil

------------------------------------------------------------------------------
Cloud Services Checklist: Pricing and Packaging Optimization
This white paper is intended to serve as a reference, checklist and point of
discussion for anyone considering optimizing the pricing and packaging model
of a cloud services business. Read Now!
http://www.accelacomm.com/jaw/sfnl/114/51491232/
_______________________________________________
gumstix-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gumstix-users
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

roystonvasey
Thanks Neil,
My build system is Ubuntu 11.10 and have no problems with building openssl 1.0.

Cheers Mike.
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

JamesAng
Hi Mike,

Are you running Ubuntu 11.10 x64 or x86 as I encountered failed compilation for openssl v1.0.0d on my x64 machine.

I posted another alternate workaround for this
http://gumstix.8.n6.nabble.com/openssl-native-compile-error-tp630730p1016927.html

It build successfully after my modification but I've not look into the purpose of the removed patch.

Hope this helps the rest with x64 machine.

Cheers.

James.
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

roystonvasey
Dear James,
My build machine is Ubuntu 11.10 x64 running in VirtualBox.
I've just changed the preferred version back to 1.0.0d and the rebuild went fine.

Cheers Mike.
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

JamesAng
roystonvasey wrote
Dear James,
My build machine is Ubuntu 11.10 x64 running in VirtualBox.
I've just changed the preferred version back to 1.0.0d and the rebuild went fine.

Cheers Mike.
Hi Mike,

Thanks. I'll try reverting my recipe back to its original and see if it build fine.
Likely that Ubuntu updates has fixed it in your machine.

Cheers~
James.
Reply | Threaded
Open this post in threaded view
|

Re: openssl image build problems

JamesAng
In reply to this post by roystonvasey
Hi Mike & Neil,

Related thread: http://gumstix.8.n6.nabble.com/openssl-native-compile-error-td630730.html

Sorry to dig this but I spare some space to do a fresh bake to verify building openssl & openssl-native 1.0.0d on my Ubuntu 11.10 x64.

It still break with the same error on my machine.

Can some skilled person backport the oe-core openssl to oe-classic in order to solve this issue once and for all?

Thanks

James.